version: "3.7"

services:
  app:
    image: node:15-slim
    user: ${UID:-0}:${GID:-0}
    command: sh -c "yarn && yarn serve --mode production"
    tty: true
    working_dir: /app
    environment:
      - PROJECT_URL=app
    volumes:
      - "../../:/app"

  cypress:
    image: cypress/included:4.12.1
    user: ${UID:-0}:${GID:-0}
    command:
      - "--config-file=cypress.json"
    environment:
      CYPRESS_baseUrl: http://app:8080
    depends_on:
      - app
    tty: true
    working_dir: /e2e
    volumes:
      - ".:/e2e"
